Mailing List Archive

Alsa kmdl for 2.6.18-274.7.1.el5PAE not available
It seems these are not built, but the video4linux-kmdl-2.6.18-274.7.1.el5 and
video4linux-kmdl-2.6.18-274.7.1.el5PAE are built. Could you build the
Alsa kmdls for kernel 2.6.18-274.7.1.el5 if possible?

Thanks,

Mark

_______________________________________________
atrpms-users mailing list
atrpms-users@atrpms.net
http://lists.atrpms.net/mailman/listinfo/atrpms-users
Re: Alsa kmdl for 2.6.18-274.7.1.el5PAE not available [ In reply to ]
On Sat, Nov 12, 2011 at 6:13 PM, Mark Goldberg <marklgoldberg@gmail.com>wrote:

> It seems these are not built, but the video4linux-kmdl-2.6.18-274.7.1.el5
> and
> video4linux-kmdl-2.6.18-274.7.1.el5PAE are built. Could you build the
> Alsa kmdls for kernel 2.6.18-274.7.1.el5 if possible?
>
>
There is a missing symbol: div_u64

I have a working driver for rhel5, tested on x86_64:

http://people.atrpms.net/~pcavalcanti/srpms/alsa-driver-1.0.24-92.el5.src.rpm

For using the same driver in fedora or rhel6 a test should be included for
testing the kernel version
in the new include file "compat_div_u64.h"

Maybe it is better to build this new version on rhel5 only ...

--
Paulo Roma Cavalcanti
LCG - UFRJ